[ubuntu/trusty-security] miniupnpc 1.6-3ubuntu2.14.04.3 (Accepted)

Marc Deslauriers marc.deslauriers at canonical.com
Wed May 24 11:30:48 UTC 2017


miniupnpc (1.6-3ubuntu2.14.04.3) trusty-security; urgency=medium

  * SECURITY UPDATE: integer signedness error
    - miniwget.c: fix comparisons.
    - https://github.com/miniupnp/miniupnp/commit/f0f1f4b22d6a98536377a1bb07e7c20e4703d229
    - CVE-2017-8798
  * SECURITY UPDATE: buffer overflow in simpleUPnPcommand2
    - miniupnpc.c: perform better checking while writing buffer.
    - https://github.com/miniupnp/miniupnp/commit/fb02299fffd62fe8584f26aa69547266488e002e
    - No CVE number

Date: 2017-05-19 15:50:17.688333+00:00
Changed-By: Marc Deslauriers <marc.deslauriers at canonical.com>
https://launchpad.net/ubuntu/+source/miniupnpc/1.6-3ubuntu2.14.04.3
-------------- next part --------------
Sorry, changesfile not available.


More information about the Trusty-changes mailing list